BizKitHub
DocsAPI ReferencePost/bff/post/post-gallery-link-blob
getPostAdmin BFF

/bff/post/post-gallery-link-blob

Links an uploaded blob to the post gallery. The image is appended at the end of the gallery. If the post has no main image yet, this image is automatically set as main.

PostgetBffPostPost-gallery-link-blob

Parameters

2 query

Query parameters

· 2
idstringRequired

Post external ID.

Examplea1b2c3d4-e5f6-7890
blobTokenstringRequired

Blob token of the uploaded file to link.

Exampleabc123def456

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the image was linked successfully.

Response example

application/json
{
  "success": false
}

Request example

GET /bff/post/post-gallery-link-blob

get
curl -X GET "https://api.bizkithub.com/bff/post/post-gallery-link-blob?id=a1b2c3d4-e5f6-7890&blobToken=abc123def456" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key